package schema

import (
	"reflect"

	"github.com/google/generative-ai-go/genai"
	"github.com/openai/openai-go"
)

type Type interface {
	OpenAIParameters() openai.FunctionParameters
	GoogleParameters() *genai.Schema
	AnthropicInputSchema() map[string]any

	//SchemaType() jsonschema.DataType
	//Definition() jsonschema.Definition

	Required() bool
	Description() string

	FromAny(any) (reflect.Value, error)
	SetValueOnField(obj reflect.Value, val reflect.Value)
}
